<?php

/**
 * Implementation of hook_node_info().
 */
function clickbank_ipn_node_info() {
  $items = array(
    'clickbank_ipn' => array(
      'name' => t('Clickbank IPN'),
      'module' => 'features',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_rules_defaults().
 */
function clickbank_ipn_rules_defaults() {
  return array(
    'rules' => array(
      'clickbank_ipn_1' => array(
        '#type' => 'rule',
        '#set' => 'event_node_insert',
        '#label' => 'Clickbank: Create and Promote New User',
        '#active' => 0,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'clickbank',
          'clickbank_ipn' => 'clickbank_ipn',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Created content is Clickbank IPN',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'clickbank_ipn' => 'clickbank_ipn',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
          '1' => array(
            '#info' => array(
              'label' => 'Field has value ITEM 1',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'eval input' => array(
                '0' => 'code',
                '1' => 'value|0|value',
              ),
              'module' => 'CCK',
            ),
            '#name' => 'content_rules_field_has_value',
            '#settings' => array(
              'field_name' => 'field_cproditem',
              '#argument map' => array(
                'node' => 'node',
              ),
              'value' => array(
                '0' => array(
                  'value' => '1',
                ),
              ),
              'code' => '',
              'vars' => array(),
            ),
            '#type' => 'condition',
            '#weight' => 0,
          ),
          '2' => array(
            '#type' => 'OR',
            '0' => array(
              '#info' => array(
                'label' => 'Created content\'s field \'field_ctransaction\' has value SALE',
                'label callback' => FALSE,
                'arguments' => array(
                  'node' => array(
                    'type' => 'node',
                    'label' => 'Content',
                  ),
                ),
                'eval input' => array(
                  '0' => 'code',
                  '1' => 'value|0|value',
                ),
                'module' => 'CCK',
              ),
              '#name' => 'content_rules_field_has_value',
              '#settings' => array(
                'field_name' => 'field_ctransaction',
                '#argument map' => array(
                  'node' => 'node',
                ),
                'value' => array(
                  '0' => array(
                    'value' => 'SALE',
                  ),
                ),
                'code' => '',
                'vars' => array(),
              ),
              '#type' => 'condition',
              '#weight' => 0,
            ),
            '#weight' => 0,
            '1' => array(
              '#info' => array(
                'label' => 'Created content\'s field \'field_ctransaction\' has value TEST',
                'label callback' => FALSE,
                'arguments' => array(
                  'node' => array(
                    'type' => 'node',
                    'label' => 'Content',
                  ),
                ),
                'eval input' => array(
                  '0' => 'code',
                  '1' => 'value|0|value',
                ),
                'module' => 'CCK',
              ),
              '#name' => 'content_rules_field_has_value',
              '#settings' => array(
                'field_name' => 'field_ctransaction',
                '#argument map' => array(
                  'node' => 'node',
                ),
                'value' => array(
                  '0' => array(
                    'value' => 'TEST',
                  ),
                ),
                'code' => '',
                'vars' => array(),
              ),
              '#type' => 'condition',
              '#weight' => 0,
            ),
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#type' => 'action',
            '#settings' => array(
              'username' => '[node:field_ccustname-formatted]',
              'email' => '[node:field_ccustemail-raw]',
              '#argument map' => array(
                'user_added' => 'user_added',
                'user_added_pw' => 'user_added_pw',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'username' => array(
                    '0' => 'node',
                  ),
                  'email' => array(
                    '0' => 'node',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_action_user_create',
            '#info' => array(
              'label' => 'Create a user',
              'arguments' => array(
                'username' => array(
                  'type' => 'string',
                  'label' => 'User name',
                ),
                'email' => array(
                  'type' => 'string',
                  'label' => 'User\'s E-mail',
                ),
              ),
              'new variables' => array(
                'user_added' => array(
                  'type' => 'user',
                  'label' => 'New user',
                ),
                'user_added_pw' => array(
                  'type' => 'string',
                  'label' => 'New user\'s password',
                ),
              ),
              'module' => 'User',
            ),
            '#weight' => 0,
          ),
          '1' => array(
            '#type' => 'action',
            '#settings' => array(
              'from' => '',
              'subject' => 'Welcome',
              'message' => 'Here are your login details:
username:[user_added:user]
password:[user_added_pw:string]
',
              '#argument map' => array(
                'user' => 'user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'message' => array(
                    '0' => 'user_added',
                    '1' => 'user_added_pw',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_action_mail_to_user',
            '#info' => array(
              'label' => 'Send a mail to a user',
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'Recipient',
                ),
              ),
              'module' => 'System',
              'eval input' => array(
                '0' => 'subject',
                '1' => 'message',
                '2' => 'from',
              ),
            ),
            '#weight' => 0,
          ),
          '2' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Add user role CUSTOMER',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User whos roles should be changed',
                ),
              ),
              'module' => 'User',
            ),
            '#name' => 'rules_action_user_addrole',
            '#settings' => array(
              'roles' => array(
                '0' => 3,
              ),
              '#argument map' => array(
                'user' => 'user_added',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'clickbank_ipn_2' => array(
        '#type' => 'rule',
        '#set' => 'event_node_insert',
        '#label' => 'Clickbank: Demote User',
        '#active' => 0,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'clickbank',
          'clickbank_ipn' => 'clickbank_ipn',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Created content is Clickbank IPN',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'clickbank_ipn' => 'clickbank_ipn',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
          '1' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Field has value ITEM 1',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'eval input' => array(
                '0' => 'code',
                '1' => 'value|0|value',
              ),
              'module' => 'CCK',
            ),
            '#name' => 'content_rules_field_has_value',
            '#settings' => array(
              'field_name' => 'field_cproditem',
              '#argument map' => array(
                'node' => 'node',
              ),
              'value' => array(
                '0' => array(
                  'value' => '1',
                ),
              ),
              'code' => '',
              'vars' => array(),
            ),
            '#type' => 'condition',
          ),
          '2' => array(
            '#type' => 'OR',
            '#weight' => 0,
            '0' => array(
              '#weight' => 0,
              '#info' => array(
                'label' => 'Created content\'s field \'field_ctransaction\' has value RFND',
                'label callback' => FALSE,
                'arguments' => array(
                  'node' => array(
                    'type' => 'node',
                    'label' => 'Content',
                  ),
                ),
                'eval input' => array(
                  '0' => 'code',
                  '1' => 'value|0|value',
                ),
                'module' => 'CCK',
              ),
              '#name' => 'content_rules_field_has_value',
              '#settings' => array(
                'field_name' => 'field_ctransaction',
                '#argument map' => array(
                  'node' => 'node',
                ),
                'value' => array(
                  '0' => array(
                    'value' => 'RFND',
                  ),
                ),
                'code' => '',
                'vars' => array(),
              ),
              '#type' => 'condition',
            ),
            '1' => array(
              '#type' => 'condition',
              '#settings' => array(
                'field_name' => 'field_ctransaction',
                '#argument map' => array(
                  'node' => 'node',
                ),
                'value' => array(
                  '0' => array(
                    'value' => 'CGBK',
                  ),
                ),
                'code' => '',
                'vars' => array(),
              ),
              '#name' => 'content_rules_field_has_value',
              '#info' => array(
                'label' => 'Field has value CGBK',
                'label callback' => FALSE,
                'arguments' => array(
                  'node' => array(
                    'type' => 'node',
                    'label' => 'Content',
                  ),
                ),
                'eval input' => array(
                  '0' => 'code',
                  '1' => 'value|0|value',
                ),
                'module' => 'CCK',
              ),
              '#weight' => 0,
            ),
            '2' => array(
              '#weight' => 0,
              '#info' => array(
                'label' => 'Field has value CANCEL REBILL',
                'label callback' => FALSE,
                'arguments' => array(
                  'node' => array(
                    'type' => 'node',
                    'label' => 'Content',
                  ),
                ),
                'eval input' => array(
                  '0' => 'code',
                  '1' => 'value|0|value',
                ),
                'module' => 'CCK',
              ),
              '#name' => 'content_rules_field_has_value',
              '#settings' => array(
                'field_name' => 'field_ctransaction',
                '#argument map' => array(
                  'node' => 'node',
                ),
                'value' => array(
                  '0' => array(
                    'value' => 'CANCEL-REBILL',
                  ),
                ),
                'code' => '',
                'vars' => array(),
              ),
              '#type' => 'condition',
            ),
            '3' => array(
              '#type' => 'condition',
              '#settings' => array(
                'field_name' => 'field_ctransaction',
                '#argument map' => array(
                  'node' => 'node',
                  'node_unchanged' => 'node',
                ),
              ),
              '#name' => 'content_rules_field_changed',
              '#info' => array(
                'label' => 'Field has changed INSF',
                'label callback' => FALSE,
                'arguments' => array(
                  'node' => array(
                    'type' => 'node',
                    'label' => 'Content containing changes',
                  ),
                  'node_unchanged' => array(
                    'type' => 'node',
                    'label' => 'Content not containing changes',
                  ),
                ),
                'module' => 'CCK',
              ),
              '#weight' => 0,
            ),
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#type' => 'action',
            '#settings' => array(
              'username' => '',
              'userid' => '',
              'mail' => '[node:field_ccustemail-raw]',
              '#argument map' => array(
                'user_loaded' => 'user_loaded',
              ),
            ),
            '#name' => 'rules_action_load_user',
            '#info' => array(
              'label' => 'Load a user account',
              'new variables' => array(
                'user_loaded' => array(
                  'type' => 'user',
                  'label' => 'Loaded user',
                ),
              ),
              'module' => 'User',
              'eval input' => array(
                '0' => 'userid',
                '1' => 'username',
              ),
            ),
            '#weight' => 0,
          ),
          '1' => array(
            '#info' => array(
              'label' => 'Remove user role CUSTOMER',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User whos roles should be changed',
                ),
              ),
              'module' => 'User',
            ),
            '#name' => 'rules_action_user_removerole',
            '#settings' => array(
              'roles' => array(
                '0' => 3,
              ),
              '#argument map' => array(
                'user' => 'user_loaded',
              ),
            ),
            '#type' => 'action',
            '#weight' => 0,
          ),
        ),
        '#version' => 6003,
      ),
    ),
  );
}

/**
 * Implementation of hook_views_api().
 */
function clickbank_ipn_views_api() {
  return array(
    'api' => '2',
  );
}
<?php
// $Id: clickbank_ipn.features.inc,v 1.1 2010/10/06 13:37:20 giorgio79 Exp $ 
/**
 * Implementation of hook_node_info().
 */
function clickbank_ipn_node_info() {
  $items = array(
    'clickbank_ipn' => array(
      'name' => t('Clickbank IPN'),
      'module' => 'features',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_rules_defaults().
 */
function clickbank_ipn_rules_defaults() {
  return array(
    'rules' => array(
      'clickbank_ipn_1' => array(
        '#type' => 'rule',
        '#set' => 'event_node_insert',
        '#label' => 'Clickbank: Create and Promote New User',
        '#active' => 0,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'clickbank',
          'clickbank_ipn' => 'clickbank_ipn',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Created content is Clickbank IPN',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'clickbank_ipn' => 'clickbank_ipn',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
          '1' => array(
            '#info' => array(
              'label' => 'Field has value ITEM 1',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'eval input' => array(
                '0' => 'code',
                '1' => 'value|0|value',
              ),
              'module' => 'CCK',
            ),
            '#name' => 'content_rules_field_has_value',
            '#settings' => array(
              'field_name' => 'field_cproditem',
              '#argument map' => array(
                'node' => 'node',
              ),
              'value' => array(
                '0' => array(
                  'value' => '1',
                ),
              ),
              'code' => '',
              'vars' => array(),
            ),
            '#type' => 'condition',
            '#weight' => 0,
          ),
          '2' => array(
            '#type' => 'OR',
            '0' => array(
              '#info' => array(
                'label' => 'Created content\'s field \'field_ctransaction\' has value SALE',
                'label callback' => FALSE,
                'arguments' => array(
                  'node' => array(
                    'type' => 'node',
                    'label' => 'Content',
                  ),
                ),
                'eval input' => array(
                  '0' => 'code',
                  '1' => 'value|0|value',
                ),
                'module' => 'CCK',
              ),
              '#name' => 'content_rules_field_has_value',
              '#settings' => array(
                'field_name' => 'field_ctransaction',
                '#argument map' => array(
                  'node' => 'node',
                ),
                'value' => array(
                  '0' => array(
                    'value' => 'SALE',
                  ),
                ),
                'code' => '',
                'vars' => array(),
              ),
              '#type' => 'condition',
              '#weight' => 0,
            ),
            '#weight' => 0,
            '1' => array(
              '#info' => array(
                'label' => 'Created content\'s field \'field_ctransaction\' has value TEST',
                'label callback' => FALSE,
                'arguments' => array(
                  'node' => array(
                    'type' => 'node',
                    'label' => 'Content',
                  ),
                ),
                'eval input' => array(
                  '0' => 'code',
                  '1' => 'value|0|value',
                ),
                'module' => 'CCK',
              ),
              '#name' => 'content_rules_field_has_value',
              '#settings' => array(
                'field_name' => 'field_ctransaction',
                '#argument map' => array(
                  'node' => 'node',
                ),
                'value' => array(
                  '0' => array(
                    'value' => 'TEST',
                  ),
                ),
                'code' => '',
                'vars' => array(),
              ),
              '#type' => 'condition',
              '#weight' => 0,
            ),
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#type' => 'action',
            '#settings' => array(
              'username' => '[node:field_ccustname-formatted]',
              'email' => '[node:field_ccustemail-raw]',
              '#argument map' => array(
                'user_added' => 'user_added',
                'user_added_pw' => 'user_added_pw',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'username' => array(
                    '0' => 'node',
                  ),
                  'email' => array(
                    '0' => 'node',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_action_user_create',
            '#info' => array(
              'label' => 'Create a user',
              'arguments' => array(
                'username' => array(
                  'type' => 'string',
                  'label' => 'User name',
                ),
                'email' => array(
                  'type' => 'string',
                  'label' => 'User\'s E-mail',
                ),
              ),
              'new variables' => array(
                'user_added' => array(
                  'type' => 'user',
                  'label' => 'New user',
                ),
                'user_added_pw' => array(
                  'type' => 'string',
                  'label' => 'New user\'s password',
                ),
              ),
              'module' => 'User',
            ),
            '#weight' => 0,
          ),
          '1' => array(
            '#type' => 'action',
            '#settings' => array(
              'from' => '',
              'subject' => 'Welcome',
              'message' => 'Here are your login details:
username:[user_added:user]
password:[user_added_pw:string]
',
              '#argument map' => array(
                'user' => 'user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'message' => array(
                    '0' => 'user_added',
                    '1' => 'user_added_pw',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_action_mail_to_user',
            '#info' => array(
              'label' => 'Send a mail to a user',
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'Recipient',
                ),
              ),
              'module' => 'System',
              'eval input' => array(
                '0' => 'subject',
                '1' => 'message',
                '2' => 'from',
              ),
            ),
            '#weight' => 0,
          ),
          '2' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Add user role CUSTOMER',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User whos roles should be changed',
                ),
              ),
              'module' => 'User',
            ),
            '#name' => 'rules_action_user_addrole',
            '#settings' => array(
              'roles' => array(
                '0' => 3,
              ),
              '#argument map' => array(
                'user' => 'user_added',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'clickbank_ipn_2' => array(
        '#type' => 'rule',
        '#set' => 'event_node_insert',
        '#label' => 'Clickbank: Demote User',
        '#active' => 0,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'clickbank',
          'clickbank_ipn' => 'clickbank_ipn',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Created content is Clickbank IPN',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'clickbank_ipn' => 'clickbank_ipn',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
          '1' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Field has value ITEM 1',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'eval input' => array(
                '0' => 'code',
                '1' => 'value|0|value',
              ),
              'module' => 'CCK',
            ),
            '#name' => 'content_rules_field_has_value',
            '#settings' => array(
              'field_name' => 'field_cproditem',
              '#argument map' => array(
                'node' => 'node',
              ),
              'value' => array(
                '0' => array(
                  'value' => '1',
                ),
              ),
              'code' => '',
              'vars' => array(),
            ),
            '#type' => 'condition',
          ),
          '2' => array(
            '#type' => 'OR',
            '#weight' => 0,
            '0' => array(
              '#weight' => 0,
              '#info' => array(
                'label' => 'Created content\'s field \'field_ctransaction\' has value RFND',
                'label callback' => FALSE,
                'arguments' => array(
                  'node' => array(
                    'type' => 'node',
                    'label' => 'Content',
                  ),
                ),
                'eval input' => array(
                  '0' => 'code',
                  '1' => 'value|0|value',
                ),
                'module' => 'CCK',
              ),
              '#name' => 'content_rules_field_has_value',
              '#settings' => array(
                'field_name' => 'field_ctransaction',
                '#argument map' => array(
                  'node' => 'node',
                ),
                'value' => array(
                  '0' => array(
                    'value' => 'RFND',
                  ),
                ),
                'code' => '',
                'vars' => array(),
              ),
              '#type' => 'condition',
            ),
            '1' => array(
              '#type' => 'condition',
              '#settings' => array(
                'field_name' => 'field_ctransaction',
                '#argument map' => array(
                  'node' => 'node',
                ),
                'value' => array(
                  '0' => array(
                    'value' => 'CGBK',
                  ),
                ),
                'code' => '',
                'vars' => array(),
              ),
              '#name' => 'content_rules_field_has_value',
              '#info' => array(
                'label' => 'Field has value CGBK',
                'label callback' => FALSE,
                'arguments' => array(
                  'node' => array(
                    'type' => 'node',
                    'label' => 'Content',
                  ),
                ),
                'eval input' => array(
                  '0' => 'code',
                  '1' => 'value|0|value',
                ),
                'module' => 'CCK',
              ),
              '#weight' => 0,
            ),
            '2' => array(
              '#weight' => 0,
              '#info' => array(
                'label' => 'Field has value CANCEL REBILL',
                'label callback' => FALSE,
                'arguments' => array(
                  'node' => array(
                    'type' => 'node',
                    'label' => 'Content',
                  ),
                ),
                'eval input' => array(
                  '0' => 'code',
                  '1' => 'value|0|value',
                ),
                'module' => 'CCK',
              ),
              '#name' => 'content_rules_field_has_value',
              '#settings' => array(
                'field_name' => 'field_ctransaction',
                '#argument map' => array(
                  'node' => 'node',
                ),
                'value' => array(
                  '0' => array(
                    'value' => 'CANCEL-REBILL',
                  ),
                ),
                'code' => '',
                'vars' => array(),
              ),
              '#type' => 'condition',
            ),
            '3' => array(
              '#type' => 'condition',
              '#settings' => array(
                'field_name' => 'field_ctransaction',
                '#argument map' => array(
                  'node' => 'node',
                  'node_unchanged' => 'node',
                ),
              ),
              '#name' => 'content_rules_field_changed',
              '#info' => array(
                'label' => 'Field has changed INSF',
                'label callback' => FALSE,
                'arguments' => array(
                  'node' => array(
                    'type' => 'node',
                    'label' => 'Content containing changes',
                  ),
                  'node_unchanged' => array(
                    'type' => 'node',
                    'label' => 'Content not containing changes',
                  ),
                ),
                'module' => 'CCK',
              ),
              '#weight' => 0,
            ),
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#type' => 'action',
            '#settings' => array(
              'username' => '',
              'userid' => '',
              'mail' => '[node:field_ccustemail-raw]',
              '#argument map' => array(
                'user_loaded' => 'user_loaded',
              ),
            ),
            '#name' => 'rules_action_load_user',
            '#info' => array(
              'label' => 'Load a user account',
              'new variables' => array(
                'user_loaded' => array(
                  'type' => 'user',
                  'label' => 'Loaded user',
                ),
              ),
              'module' => 'User',
              'eval input' => array(
                '0' => 'userid',
                '1' => 'username',
              ),
            ),
            '#weight' => 0,
          ),
          '1' => array(
            '#info' => array(
              'label' => 'Remove user role CUSTOMER',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User whos roles should be changed',
                ),
              ),
              'module' => 'User',
            ),
            '#name' => 'rules_action_user_removerole',
            '#settings' => array(
              'roles' => array(
                '0' => 3,
              ),
              '#argument map' => array(
                'user' => 'user_loaded',
              ),
            ),
            '#type' => 'action',
            '#weight' => 0,
          ),
        ),
        '#version' => 6003,
      ),
    ),
  );
}

/**
 * Implementation of hook_views_api().
 */
function clickbank_ipn_views_api() {
  return array(
    'api' => '2',
  );
}
